@import (reference) 'Board.variables.import.less';

#project-board {
  display: flex;
  position: absolute;
  left: 0;
  right: 0;
  top: @menuHeight;
  bottom: 0;
  overflow: hidden;
  padding: 0;

  background-color: @darkerBackground;

  .warning & {
    top: @menuHeight + @warningHeight;
  }

  .chat & {
    bottom: @chatHeight;
  }

  .display {
    flex: 1 1;
    position: relative;
    overflow: hidden;
    transform: translate3d(0, 0, 0); // Because of sidebar animation

    .toolbar {
      height: @toolbarHeight;
      background-color: #212121; //@black;
      box-shadow: rgba(0, 0, 0, 0.25) 0 0 3px;
      position: relative;
      z-index: 1;
      margin: 0;
      border-radius: 0;

      > .item:first-child {
        border-radius: 0;
      }

      .item {
        &.active {
          background-color: @teal !important;
          text-shadow: darken(@teal, 10%) 1px 1px 0px;
        }
      }

      .right.menu {
        overflow: hidden;
        .search.item {
          flex: 0 1 auto;
          overflow: hidden;
        }
      }

      @media (max-width: @tabletBreakpoint) {
        &.menu {
          .optional-text {
            display: none;
          }
        }
      }

    }

    .board.view {
      .displayArea {
        position: absolute;
        left: 0;
        right: 0;
        top: @toolbarHeight;
        bottom: 0;
        transition: top 0.25s;
      }
      &.nagged {
        .displayArea {
          top: @toolbarHeight + @nagHeight;
        }
      }
    }

    .nag {
      display: flex;
      align-items: center;
      height: @nagHeight;
      background-color: @yellow;
      //border-bottom: 1px solid @darkerBackground;
      font-size: 0.85rem;
      padding: 0 0.5em;
      &.search {
        .message {
          flex: 1 1 auto;
          .term {
            font-weight: 500;
          }
        }
        .options {
          a {
            text-decoration: underline;
            cursor: pointer;
          }
        }
      }
    }

  }
}
